<app-header></app-header>
<div id="wrapper">
  <div id="mainGalleryDiv">
    <div id="pagination">
      <select id="limitSelect" (change)="limitChange()">
        <option value="2">2</option>
        <option value="5">5</option>
        <option value="10">10</option>
        <option value="15">15</option>
      </select>
      <button *ngIf="previousPage" (click)="goToPrevious()">{{page-1}}</button>
      <button id="selectedPageBtn"><b>{{page}}</b></button>
      <button  *ngIf="nextPage" (click)="goToNext()">{{page+1}}</button>
    </div>
    <div *ngFor="let image of images" id="galleryDiv">
    <div (click)="getInfo(image._id, image.desc, image.image.url)">
    <h3>{{image.desc}}</h3>
    <img src="{{baseUrl}}{{image.image.url}}" alt="galleryImage" id="imageUrl"><br><br>
    <button id="deleteProduct" (click)="deleteImage(image._id)">X</button>
    </div>
    </div>
  </div>
  <div id="addProductDiv">
    <h2>Add to gallery</h2>
    <form [formGroup]="form" action="" (ngSubmit)="newImage()">
      <div id="fileInfoDiv">
        <input id="fileInput" type="file" (change)="onFileSelect($event)"><br><br>
        <textarea
          id="descInput"
          type="text"
          formControlName="Description"
          style="resize: none"
          maxlength="50"
          placeholder="Description">
        </textarea><br><br>
      </div>
      <p>{{confirmationText}}</p>
      <div id="submitButtonDiv">
        <button type="submit">Add</button>
      </div>
    </form>
  </div>
  <!-- <div id="updateProductDiv">
    <h2>Update product</h2>
    <form [formGroup]="Uform">
      <div id="UfileInfoDiv">
        <input id="UfileInput" type="file"><br><br>
        <textarea
        id="UdescInput"
        type="text"
        cols="30"
        formControlName="Description"
        rows="10"
        style="resize: none">
        </textarea>
      </div>
      <div id="updateButtonDiv">
        <button type="submit">Update</button>
      </div>
    </form>
  </div> -->
</div>
